Package Details: wxwidgets-common-light 3.2.4-3

Git Clone URL: https://aur.archlinux.org/wxwidgets-light.git (read-only, click to copy)
Package Base: wxwidgets-light
Description: wxWidgets common & base (GNOME/GStreamer free!)
Upstream URL: http://wxwidgets.org
Licenses: custom:wxWindows
Conflicts: wxbase, wxwidgets-common
Provides: libwx_baseu-3.2.so, libwx_baseu_net-3.2.so, libwx_baseu_xml-3.2.so, wxbase, wxbase-light, wxwidgets-common
Submitter: sl1pkn07
Maintainer: sl1pkn07
Last Packager: sl1pkn07
Votes: 0
Popularity: 0.000000
First Submitted: 2014-09-29 09:41 (UTC)
Last Updated: 2024-03-23 14:40 (UTC)

Required by (36)

Sources (2)

Latest Comments

1 2 3 4 Next › Last »

sl1pkn07 commented on 2023-09-30 17:27 (UTC)

seems bad initial "how works with [AUR]" configuration

guglovich commented on 2023-09-27 08:48 (UTC)

fatal: failed to autodetect e-mail address

sl1pkn07 commented on 2023-06-14 23:08 (UTC)

ok, you won XD, now ok?

greetings

MarsSeed commented on 2023-06-14 22:58 (UTC)

As for the rest, everyone will be aware of the wxgtk3 related change because of pacman's complaints, so they will know to install manually the repo package, if they want to keep using their AUR application which wrongly defines dependencies.

Or they can say to pacman/yay/paru --assume-installed="wxgtk3"and keep using your package.

MarsSeed commented on 2023-06-14 22:51 (UTC)

Packages depending on wxgtk3 won't be broken, because their users are almost certainly already on repo's wxwidgets-gtk3. Pacman is very persistent in wanting to uninstall your light package and install the repo package.

sl1pkn07 commented on 2023-06-14 22:28 (UTC) (edited on 2023-06-14 22:34 (UTC) by sl1pkn07)

then the packages need wxgtk3, what happen with them? if switch from wxwidgets-gtk3, witch provide wxgtk3, to wxwidgets-gtk3-light, wich not provide (if i change it) wxgtk3, all these programs become broken

or that or you need (as TU(?)) need talk with their maintainers (a bunch of them if follow the list in the right side "required by") for switch from wxgtk3 to wxwidgets-gtk3

MarsSeed commented on 2023-06-14 22:25 (UTC)

wxwidgets-gtk3-light still provides wxgtk3, so pacman still tries to replace it (uninstall it and install wxwidgets-gtk3 instead).

sl1pkn07 commented on 2023-06-14 19:25 (UTC)

i have installed as-sis(without latest changes), and never one package depends on wxgtk-common or wxgtk3 try to install the oficial repo and uninstall the light packages

let me check. i think is because i have installed through my own repo...

greetings

MarsSeed commented on 2023-06-14 19:17 (UTC)

Ok, I see you resolved the issue with wxwidgets-common-light.

Now it only remains with wxwidgets-gtk3-light.